$(document).ready(function () {
    $("body").on("click", '.remove', remove);
    $("body").on("blur", '.school', flink);
    $("body").on("focus", '.billamt', autoAddRows);
    $("body").on('blur', '.code', showschl);
    $("body").on('keyup change', '.tsearch', searchschl);
    $("body").on('dblclick', '.schltab', tableval);
    $("body").on('change blur keyup', '.custcode ', getSchoolName);
    $("body").on('keyup blur', '.billamt', GetTotal);

    function GetTotal() {
        var val = 0;
        $(".billamt").each(function () {
            if (!isNaN(this.value) && this.value.length != 0) {
                val += parseFloat(this.value);
            }
        });
        $(".totamt").val(val);
    }

    function getSchoolName() {
        var custcode = $('.custcode').val();
        if (custcode != '') {
            $.post('getccode.php', {custcode: custcode}, function (data) {
                $('.school').val(data.name);
                $('.school').trigger('change');
            }, 'json');
        }
    }

    function tableval() {
        var tr = $(this).closest("tr");
        var cust = tr.find(".scust").val(),
                accode = tr.find(".accode").val();
        $(".code").val(cust);
        $(".school").val(accode).trigger('change');
        $("#schlmodal").modal("hide");
    }

    function showschl() {
        var code = $('.code').val();
        if (code == '') {
            $(".tsearch").val("");
            $(".tsearch").focus();
            $("#schlmodal").modal("show");
        }

    }

    $("#schlmodal").on('shown.bs.modal', function () {
        $(".tsearch").val("");
        $(".tsearch").focus();
        searchschl();
    });

    function searchschl() {
        var search = $(".tsearch").val();
        $.post('get_school.php', {search: search}, function (data) {
            $(".myTable").html(data);
        });
    }

    function flink() {
        var supp = $('.school').val();
        if (supp != '') {
            $("#prevref").attr("href", "prevbill_fr.php?supp=" + supp);
        } else
            alert("party cannot be empty");
    }


    $('#addnew').click(function () {
        AddRows();
    });
    function autoAddRows() {
        if ($(this).closest("tr").is(":last-child")) {
            AddRows();
        }
    }
    function remove() {
        $(this).closest("tr").remove();
    }
    function AddRows() {
        var ctr = $('#items').val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
        if (ctr == "0") {
            ctr = "1";
        } else {
            ctr = $('#items').val();
        }
        var detail = ".fetchpart_" + ctr;
        $.post('prevbill_add.php', {ctr: ctr, hide: hide_check}, function (data) {
            $(data).appendTo('.tbody');
            ctr++;
            $('#items').val(ctr);
            $(detail).select2();
        });
    }

});